.data-control {
    left: rem(12);
    right: rem(12);
    bottom: rem(8);
    z-index: 600;
    color: white;
    position: fixed;
    padding: rem(7);
    align-items: center;
    justify-content: space-between;
    border-radius: 40px;
    background: var(--blue);
    opacity: 0;
    visibility: hidden;
    display: none;
    transition: var(--transition-time);

    &.active {
        opacity: 1;
        display: flex;
        visibility: visible;
        transition: var(--transition-time);
    }


    &__label {
        padding-left: rem(7);
        font-size: rem(13);
        line-height: rem(18);
    }

    &__buttons {
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    @include media-breakpoint-up(md) {
        right: auto;
        left: calc(50% - 180px);
        width: rem(360);
    }

    @include media-breakpoint-up(lg) {
        left: auto;
        right: auto;
        bottom: auto;
        padding: 0;
        width: auto;
        border-radius: 0;
        position: relative;
        background: transparent;

        &__label {
            display: none;
        }
    }
}
